View Issue Details

IDProjectCategoryView StatusLast Update
0002788SketcherBugpublic2017-02-27 10:40
ReporterHoWilAssigned Towmayer 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002788: Grid is drawn with offset but snaps correctly
DescriptionThe grid is shown wrongly at start when drawing an object in the sketcher while having a small grid like 10um selected.
The snapping is still correct and the grid is redrawn correctly after placing the first line(s). See also the attached picture.

FC0.16 is also affected.

Steps To ReproduceNew file,
Add a sketch
change grid-size to 10um
look at the grid at its origin

draw a rectangle from the origin and look where it snaps
TagsNo tags attached.

Activities

HoWil

2016-11-20 09:16

developer  

Screenshot_FC_Grid.png (113,333 bytes)
Screenshot_FC_Grid.png (113,333 bytes)

HoWil

2016-12-30 19:39

developer   ~0007560

Still happens on the following version :
OS: Ubuntu 16.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9438 (Git)
Build type: None
Branch: master
Hash: 35b76c520584596a46efaef252e461492064b07d
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

HoWil

2016-12-30 19:40

developer   ~0007561

Last edited: 2016-12-30 19:40

View 2 revisions

Was also mentioned for 0.16 and larger sizes of the grid in the following German-only-topic:
http://forum.freecadweb.org/viewtopic.php?f=13&t=19534

Related Changesets

FreeCAD: master 2ecacef3

2017-02-26 11:44:46

AjinkyaDahale


Committer: wmayer Details Diff
Sketcher: fix issue 0002788 Affected Issues
0002788
mod - src/Mod/Part/Gui/ViewProvider2DObject.cpp Diff File

Issue History

Date Modified Username Field Change
2016-11-20 09:16 HoWil New Issue
2016-11-20 09:16 HoWil File Added: Screenshot_FC_Grid.png
2016-12-30 19:39 HoWil Note Added: 0007560
2016-12-30 19:40 HoWil Note Added: 0007561
2016-12-30 19:40 HoWil Note Edited: 0007561 View Revisions
2017-01-09 21:41 wmayer Status new => confirmed
2017-01-10 18:47 wmayer Assigned To => wmayer
2017-01-10 18:47 wmayer Status confirmed => assigned
2017-02-27 10:24 wmayer Changeset attached => FreeCAD master 2ecacef3
2017-02-27 10:40 wmayer Status assigned => closed
2017-02-27 10:40 wmayer Resolution open => fixed
2017-02-27 10:40 wmayer Fixed in Version => 0.17